#!/bin/bash 

###
# admin's login shell, which will run CLISH and prevent non-interactive sessions (e.g. ssh admin@host ls)
###

if [ "$1" != "" ]; then 
   if [ "$2" = "-c" -a "$3" = "/home/admin/.profile" ]; then 
      :  # allow -c /home/admin/.profile (needed for webclish)
   else
      #non-interactive shell not allowed, just exit
      exit
   fi
fi

#clish or clish_wizard will be run from admin's profile 
source /home/admin/.profile
exit
