#!/bin/sh

RUNN_CONF=/tmp/running-config
SAVE_CONF=/etc/startup-config

# dump config to tmp file
konf -- -d > $RUNN_CONF

# check if /etc/startup-conf exists
if [ -f $SAVE_CONF ]
then
	# startup conf exists - make diff
	isDiff=`diff $SAVE_CONF $RUNN_CONF`
	if [ "$isDiff" != "" ]
	then
		echo yes
	else
		echo no
	fi
else
	runn=`cat $RUNN_CONF`
	if [ "$runn" != "" ]
	then
		echo yes
	else
		echo no
	fi
fi

rm $RUNN_CONF

