#!/bin/sh
diskSize=0
devices_list=( $(/sbin/fdisk -l | grep Disk | grep dev | awk '{print $2}' | sed "s/.$//") )
for i in "${devices_list[@]}"
do
	dev_name=${i##*/}
	if [ -f /sys/block/$dev_name/removable ]
	then
		removable=`cat /sys/block/$dev_name/removable`
		if [ "$removable" == "0" ]
		then
			thisDiskSize=`/sbin/fdisk -l /dev/$dev_name | grep "Disk /dev" | awk '{print $3}'`
			thisDiskSize=${thisDiskSize%.*}
			if [[ $thisDiskSize -gt $diskSize ]]
			then
				diskSize=$thisDiskSize
			fi
		fi
	fi
done
echo $diskSize
