#!/bin/sh
GW=$1
if [ "${GW}" == "" ]
then
GW=$(/sbin/cfg-getparams.sh mmMnGateway)
fi
GWEXIST=`cat /etc/network/interfaces |grep "up route add -net 0.0.0.0 netmask 0.0.0.0 gw"`
if [ "${GWEXIST}" == "" ]
then 
cat >> /etc/network/interfaces << EOF
up route add -net 0.0.0.0 netmask 0.0.0.0 gw ${GW} >> /etc/network/interfaces
EOF
else
sed '/gw/d' /etc/network/interfaces > /etc/network/interfaces.tmp
mv /etc/network/interfaces.tmp /etc/network/interfaces
cat >> /etc/network/interfaces << EOF
up route add -net 0.0.0.0 netmask 0.0.0.0 gw ${GW}
EOF
fi
