#!/bin/bash

FILE_CFG=/etc/startup-config
HA_RES_SPLIT_HSB=/etc/ha.d/haresources-splitbrain.hsb
HA_RES_SPLIT=/etc/ha.d/haresources-splitbrain

# check if ha resources splibrain (both) file exists
if [ -f $HA_RES_SPLIT ] || [ -f $HA_RES_SPLIT_HSB ]
then
	sysType=$(/sbin/cfg-getparams.sh systemType)
	if [ "$sysType" == "duplicated" ] || [ "$sysType" == "geo-dual" ]
	then
		#get HSB enable mode
		hsb=$(/sbin/cfg-getparams.sh mmRedundancyType)
		if [ "$hsb" == "hsb" ]
		then
			if [ -f $HA_RES_SPLIT_HSB ]
			then
				#move ha res splitbrain .hsb file
				mv $HA_RES_SPLIT_HSB $HA_RES_SPLIT
				echo "mv $HA_RES_SPLIT_HSB $HA_RES_SPLIT"
			fi
		else
			if [ -f $HA_RES_SPLIT ]
			then
				#move ha res splitbrain to .hsb file
				mv $HA_RES_SPLIT $HA_RES_SPLIT_HSB
				echo "mv $HA_RES_SPLIT $HA_RES_SPLIT_HSB"
			fi
		fi
	else
		# standalone system
		if [ -f $HA_RES_SPLIT ]
		then
			#move ha res splitbrain to .hsb file
			mv $HA_RES_SPLIT $HA_RES_SPLIT_HSB
			echo "mv $HA_RES_SPLIT $HA_RES_SPLIT_HSB"
		fi
	fi
else
	echo
	echo "No $HA_RES_SPLIT nor $HA_RES_SPLIT_HSB files !"
	echo
fi
