#!/bin/sh

file=/tmp/running-config

if [ "$1" == "" ]
then
        # dump running-config to tmp file
        konf -- -d > $file
else
        # script was called with reboot option - dump startup-config
        file=/etc/startup-config
fi

# get basic system params
hostname=`grep "hostname" $file`
unit_node_id=`grep "system unit-id" $file`
sys_type=`grep "system type" $file`
chass_type_size=`grep "chassis type" $file`


if [ "$hostname" == "" ] || [ "$unit_node_id" == "" ] || [ "$sys_type" == "" ] || [ "$chass_type_size" == "" ]; then
        echo nok
else
        echo ok
fi

if [ -f /tmp/running-config ]
then
        rm /tmp/running-config
fi

