#!/bin/sh

# check if allowed to configure HA interfaces
# not allowed if CE, not IT HA or VIRT chassis

chass_type=`konf -- -d | awk '/chassis type/{p=1} /!/{p=0} p' | awk '{printf $3}'`

if [[ ( ! -f /etc/ha.d/itha.cf && -f /etc/sysconfig/product-install-cfg.xml ) || ( -f /etc/sysconfig/bonding.static ) || "$chass_type" == "VIRTUAL" || "$chass_type" == "OPENSTACK" ]]
then
	echo "NOK"
else
	echo "OK"
fi
