#!/bin/sh
function convert_ip_mask (){
MASK=`echo ${IP} | awk 'match($0,"/"){print substr($0,RSTART+1,4)}'`
IPN=`echo ${IP} | sed 's/\/.*//'`
if [ "${IPN}" != "" ] && [ "${MASK}" != "" ]
then
# convert mask from /xy to x,y,z,w
if [ "$MASK" = "30" ]; then
  NMASK="255.255.255.252"
fi
if [ "$MASK" = "29" ]; then
  NMASK="255.255.255.248"
fi
if [ "$MASK" = "28" ]; then
  NMASK="255.255.255.240"
fi
if [ "$MASK" = "27" ]; then
  NMASK="255.255.255.224"
fi
if [ "$MASK" = "26" ]; then
  NMASK="255.255.255.192"
fi
if [ "$MASK" = "25" ]; then
  NMASK="255.255.255.128"
fi
if [ "$MASK" = "24" ]; then
  NMASK="255.255.255.0"
fi
if [ "$MASK" = "23" ]; then
  NMASK="255.255.254.0"
fi
if [ "$MASK" = "22" ]; then
  NMASK="255.255.252.0"
fi
if [ "$MASK" = "21" ]; then
  NMASK="255.255.248.0"
fi
if [ "$MASK" = "20" ]; then
  NMASK="255.255.240.0"
fi
if [ "$MASK" = "19" ]; then
  NMASK="255.255.224.0"
fi
if [ "$MASK" = "18" ]; then
  NMASK="255.255.192.0"
fi
if [ "$MASK" = "17" ]; then
  NMASK="255.255.128.0"
fi
if [ "$MASK" = "16" ]; then
  NMASK="255.255.0.0"
fi
if [ "$MASK" = "15" ]; then
  NMASK="255.254.0.0"
fi
if [ "$MASK" = "14" ]; then
  NMASK="255.252.0.0"
fi
if [ "$MASK" = "13" ]; then
  NMASK="255.248.0.0"
fi
if [ "$MASK" = "12" ]; then
  NMASK="255.240.0.0"
fi
if [ "$MASK" = "11" ]; then
  NMASK="255.224.0.0"
fi
if [ "$MASK" = "10" ]; then
  NMASK="255.192.0.0"
fi
if [ "$MASK" = "9" ]; then
  NMASK="255.128.0.0"
fi
if [ "$MASK" = "8" ]; then
  NMASK="255.0.0.0"
fi

IFS=.

ip="${IPN}";
ipArray=($ip);
mask=255;
mmask="${NMASK}";
maskArray=($mmask);
IFS=$SaveIFS

for ((i=0; i<${#ipArray[@]}; ++i));
do
if test "${i}" == "0" ;then ipbin1=${ipArray[$i]} ;fi
if test "${i}" == "1" ;then ipbin2=${ipArray[$i]} ;fi
if test "${i}" == "2" ;then ipbin3=${ipArray[$i]} ;fi
if test "${i}" == "3" ;then ipbin4=${ipArray[$i]} ;fi

if test  "${i}" == "0" ;then nmbin1=${maskArray[$i]} ;fi
if test  "${i}" == "1" ;then nmbin2=${maskArray[$i]} ;fi
if test  "${i}" == "2" ;then nmbin3=${maskArray[$i]} ;fi
if test  "${i}" == "3" ;then nmbin4=${maskArray[$i]} ;fi
done

#echo "       IP Address: $1"
#echo "      Subnet Mask: $2"
#echo "  Network Address: $((ipbin1 & nmbin1)).$((ipbin2 & nmbin2)).$((ipbin3 & nmbin3)).$((ipbin4 & nmbin4))"

#echo "Broadcast Address: $((ipbin1 | (mask ^ nmbin1))).$((ipbin2 | (mask ^ nmbin2))).$((ipbin3 | (mask ^ nmbin3))).$((ipbin4 | (mask ^ nmbin4)))"
#echo
SUBNET_BASE=$((ipbin1 & nmbin1)).$((ipbin2 & nmbin2)).$((ipbin3 & nmbin3)).$((ipbin4 & nmbin4))
SUBNET_BROADCAST=$((ipbin1 | (mask ^ nmbin1))).$((ipbin2 | (mask ^ nmbin2))).$((ipbin3 | (mask ^ nmbin3))).$((ipbin4 | (mask ^ nmbin4)))
fi
}
