NRFPIF=$(ip l | grep -c ": fp_")
NRALLIF=$(ip l | grep -cE "^[0-9]*: ")
fp_eth=$1

# Generate array of 'fp_*' interface names and check anyone matches 'fp_$1'!
m=0
for i in `seq 1 $NRFPIF`; do
	arr[i]=$(ip l | grep -E "^[0-9]*: " | grep fp_ | sed -n ${i}p | sed -e 's/^[0-9]*: *//' | sed -e 's/:.*//')
#	MATCH=`echo "fp_$1" |grep ${arr[i]}`
	if [ "fp_$1" == "${arr[i]}" ]; then
		m=1
	fi
done

# Generate array of all interface names and check anyone matches '$1'!
n=0
for i in `seq 1 $NRALLIF`; do
	arr[i]=$(ip l | grep -E "^[0-9]*: " | sed -n ${i}p | sed -e 's/^[0-9]*: *//' | sed -e 's/:.*//')
#	MATCH=`echo "$1" |grep ${arr[i]}` 
	if [ "$1" == "${arr[i]}" ]; then
		n=1
	fi
done


if [ "$m" == "0" ] && [ "$n" == "0" ]; then
	# interface does not exsist on system
	exit 2
fi

if [ "$m" == "0" ] && [ "$n" == "1" ]; then
	#Error: selected interface is not a FP interface
	exit 3
fi
