#!/bin/sh

file=/tmp/running-config

if [ "$1" == "" ]
then
        # dump running-config to tmp file
        konf -- -d > $file
else
        # script was called with reboot option - dump startup-config
        file=/etc/startup-config
fi

#echo $file

# get basic system params
node_id=`cat $file | awk '/system unit-id/{p=1} /!/{p=0} p' | grep 'node-id' | sed "s|.*node-id ||" | cut -c 1`
unit_id=`cat $file | awk '/system unit-id/{p=1} /!/{p=0} p' | grep 'unit-id' | sed "s|.*unit-id ||" | cut -c 1`

if [ "$unit_id" == "1" ] && [ "$node_id" == "1" ]; then
	echo yes
else
	echo no
fi

if [ -f /tmp/running-config ]
then
rm /tmp/running-config
fi

