#!/bin/sh

MLNC_CONF=/etc/itmlinec.conf

# read mlinec conf
mlnc_inst=`cat ${MLNC_CONF} | sed "s|.*mlnc||" | cut -c 1`

#echo
#echo "mlnc_inst: "$mlnc_inst"#"

mlnc_mode=`cat ${MLNC_CONF} | sed "s|.*mlnc||" | cut -c 3`

#echo "mlnc_mode: "$mlnc_mode"#"

tmp_ports=`cut -d "|" -f 3- ${MLNC_CONF}`

echo $tmp_ports >> /tmp/mlnc.conf

#get len
len=`echo "${#tmp_ports}"`

#echo $len

#get rid of pipe at the end of string
len1=`expr $len - 1`

#echo $len1

mlnc_act_ports=`cut -c 1-$len1 /tmp/mlnc.conf`

#echo "act ports: "$mlnc_act_ports"#"

#make printout
echo
echo "Number of instances:	1"
echo "Mlinec instance:	"$mlnc_inst

if [ "$mlnc_mode" == "1" ]
then
	echo "Mlinec mode:		Enabled"
else
	echo "Mlinec mode:              Disabled"
fi

echo "Mlinec active ports:	"$mlnc_act_ports
echo

rm /tmp/mlnc.conf

