#!/bin/sh

# get input param - new ports
newPorts=$1
#drugi=$2

#echo
#echo "drugi: "$drugi"#"
#echo
#echo "new ports: "$newPorts

#if  [ "$2" != "" ]
#then
#	if [ "$2" != "reboot" ]
#	then
#		echo "not reboot"
#	fi
#else
#	echo "input empty - like no reboot"
#fi

# first dump current running-conf to get current mlinec settings
konf -- -d > /tmp/running-config-current

currPorts=`cat /tmp/running-config-current | awk '/mlinec fp/{p=1} /!/{p=0} p' | sed "s|.*fp ||"`
if [ "$currPorts" == "" ]; then
        currPorts="bp"
fi

echo
echo "curr ports: "$currPorts
echo

# make change in runnig-conf (konfd) - interface admin mode change
#if [ "$newPorts" == "optics" ] && [ "$node_id" == "1" ]; then

if test "$newPorts" == "copper";
then
	if test "$currPorts" == "optics";
	then
		# set admin enable for copper ports (0/1 and 0/2) - delete shutdown row in running-conf
		konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/1"
		konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/2"

		# set admin disable for optics ports (0/3 and 0/4) - add shutdown row in running-conf
		konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/3"
		konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/4"
	fi

	if test "$currPorts" == "bp";
        then
                # set admin enable for copper ports (0/1 and 0/2) - delete shutdown row in running-conf
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/1"
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/2"

                # set admin disable for BP ports (1/1 and 1/2) - add shutdown row in running-conf
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport bp 1/1"
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport bp 1/2"
        fi
fi

if test "$newPorts" == "optics";
then
        if test "$currPorts" == "copper";
        then
                # set admin enable for optics ports (0/3 and 0/4) - delete shutdown row in running-conf
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/3"
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/4"

                # set admin disable for copper ports (0/1 and 0/2) - add shutdown row in running-conf
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/1"
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/2"
        fi

        if test "$currPorts" == "bp";
        then
                # set admin enable for optics ports (0/3 and 0/4) - delete shutdown row in running-conf
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/3"
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport fp 0/4"

                # set admin disable for BP ports (1/1 and 1/2) - add shutdown row in running-conf
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport bp 1/1"
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport bp 1/2"
        fi
fi

if test "$newPorts" == "bp";
then
        if test "$currPorts" == "optics";
        then
                # set admin enable for BP ports (1/1 and 1/2) - delete shutdown row in running-conf
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport bp 1/1"
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport bp 1/2"

                # set admin disable for optics ports (0/3 and 0/4) - add shutdown row in running-conf
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/3"
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/4"
        fi

        if test "$currPorts" == "copper";
        then
                # set admin enable for BP ports (1/1 and 1/2) - delete shutdown row in running-conf
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport bp 1/1"
                konf -- -u -l "shutdown" -r "^shutdown" "interface switchport bp 1/2"

                # set admin disable for copper ports (0/1 and 0/2) - add shutdown row in running-conf
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/1"
                konf -- -s -l "shutdown" -r "^shutdown" "interface switchport fp 0/2"
        fi
fi

# delete tmp running-conf file
rm /tmp/running-config-current

