#!/bin/sh

host=$1

                        primary=`/sbin/cfg-is-primary.sh`
                        if [ "$primary" == "no" ]
                        then
                                echo
                                echo "Error: Not allowed to execute reboot command for remote host system - not a primary node !!"
                                echo
                                exit 1
                        fi

                        this_host=`cat /etc/hostname | grep ${host}`
                        red_host=`konf -- -d | awk '/hsb/{p=1} /!/{p=0} p' | grep ${host}`
                        geo_red_host=`konf -- -d | awk '/georedundancy/{p=1} /!/{p=0} p' | grep ${host}`

                        if [ "$this_host" == "" ] && [ "$red_host" == "" ] && [ "$geo_red_host" == "" ]; then
				echo
                                echo "Error: unknown hostname - not a valid hostname !!"
				echo
                                exit 1
                        else
                                if [ "$this_host" != "" ]
                                then
                                        reboot
                                else
                                        echo "Rebooting "${host}" ..."
                                        /sbin/ha-exec-cmd --cmd='reboot' --username=root --host=${host}
                                fi
                        fi

