#!/bin/sh

# no filter in interface mode
        cat /etc/startup-config |grep ' filter' | awk '{print $2}' > /etc/sysconfig/filterst
        konf -- -d |grep ' filter' | awk '{print $2}' > /etc/sysconfig/filterkonf
        direction=`konf -- -d |grep " filter ${itemflt}" |awk '{print $3}'`

        IFS=$'\n' read -d '' -r -a stkonfarr < /etc/sysconfig/filterst
        IFS=$'\n' read -d '' -r -a arrfilter < /etc/sysconfig/filterkonf
var="1"
for itemflt in ${arrfilter[*]}
do
        if [[ " ${stkonfarr[*]} " != *" $itemflt "* ]]; then
cat /etc/sysconfig/filter.$var
        cat > /etc/sysconfig/filter.$var << EOF
!
interface mgmt
no filter ${itemflt} ${direction}
!
EOF
cat /etc/sysconfig/filter.${var}
        cat /etc/sysconfig/filter.${var} |clish -l -x /etc/clish/enable/ -i /etc/clish/enable -w configure-view
var=$((var+1))

        # remove filter from the system
        PARAMS="interface-mgmt no filter ${filter_name} ${direction}"
        cfg-iptables.sh $PARAMS

        fi
done

# no filter in configure mode
        cat /etc/startup-config |grep 'filter' |grep -v ' filter' | awk '{print $2}' > /etc/sysconfig/filterst
        konf -- -d |grep 'filter' |grep -v ' filter' | awk '{print $2}' > /etc/sysconfig/filterkonf

        IFS=$'\n' read -d '' -r -a stkonfarr < /etc/sysconfig/filterst
        IFS=$'\n' read -d '' -r -a arrfilter < /etc/sysconfig/filterkonf
var="1"
for itemflt in ${arrfilter[*]}
do
        if [[ " ${stkonfarr[*]} " != *" $itemflt "* ]]; then
	cat > /etc/sysconfig/filter.$var << EOF
!
no filter ${itemflt}
!
EOF
        cat /etc/sysconfig/filter.${var} |clish -l -x /etc/clish/enable/ -i /etc/clish/enable -w configure-view
var=$((var+1))

direction=`konf -- -d |grep " filter ${itemflt}" |awk '{print $3}'`
	# remove filter from the system
	PARAMS="interface-mgmt no filter ${filter_name} ${direction}"
	cfg-iptables.sh $PARAMS
	
        fi
done
