#!/bin/sh
if [ "$1" != "v3" ]; then 
        cat /etc/startup-config |grep 'snmp-server community' | awk '{print $3}' > /etc/sysconfig/snmp-server-st.name
        konf -- -d |grep 'snmp-server community' | awk '{print $3}' > /etc/sysconfig/snmp-server-konf.name
	konf -- -d |grep 'snmp-server community' | awk '{print $5}' > /etc/sysconfig/snmp-server-konf.access
	

        IFS=$'\n' read -d '' -r -a stkonfarr < /etc/sysconfig/snmp-server-st.name
        IFS=$'\n' read -d '' -r -a arrsnmpname < /etc/sysconfig/snmp-server-konf.name
        IFS=$'\n' read -d '' -r -a arrsnmpacc < /etc/sysconfig/snmp-server-konf.access
		
var="1"
for itemflt in ${arrsnmpname[*]}
do
        if [[ " ${stkonfarr[*]} " != *" $itemflt "* ]]; then
	ACC=`konf -- -d |grep 'snmp-server community' |grep 'snmp-server community' |grep $itemflt`
	RORW=`konf -- -d |grep 'snmp-server community' |grep 'snmp-server community' |grep $itemflt |awk '{print $5}'`
	cat > /etc/sysconfig/snmp.$var << EOF
!
no ${ACC}
!
EOF
        cat /etc/sysconfig/snmp.${var} |clish -l -x /etc/clish/enable/ -i /etc/clish/enable -w configure-view
var=$((var+1))
# remove on system
#/sbin/cfg-snmpcomm.sh --delete ${RORW} ${itemflt}

        fi
done

else  #snmp-server v3 
   #snmp-server v3 user <user> ...
   awk '/snmp-server v3/ {print $4}' /etc/startup-config> /tmp/snmp-server-v3.start
   konf -- -d | awk '/snmp-server v3/ {print $4}' > /tmp/snmp-server-v3.run

   for U in $(cat /tmp/snmp-server-v3.run); do 
      if ! grep -wq "$U" /tmp/snmp-server-v3.start; then 
         echo "no snmp-server v3 user $U" |clish -l -x /etc/clish/enable/ -i /etc/clish/enable -w configure-view
      fi
   done
   rm -f /tmp/snmp-server-v3.start /tmp/snmp-server-v3.run
fi
