#!/bin/bash

os=`uname -a | grep -i mvl`
if [ "$os" != "" ]
then
        /etc/init.d/bind9 stop
else
	os=`uname -a | grep -i wr`
	if [ "$os" != "" ]
	then
		/etc/init.d/bind stop
	else
		echo "Unknown OS type - not stoping dns server"
	fi
fi

for pid in `pgrep named`
do
	if [ "${pid}" != "" ]
	then 
		echo kill -9 ${pid} >> /dev/null
	fi
done

os=`uname -a | grep -i mvl`
if [ "$os" != "" ]
then
        /etc/init.d/bind9 start
else
        os=`uname -a | grep -i wr`
        if [ "$os" != "" ]
        then
                /etc/init.d/bind start
        else
                echo "Unknown OS type - not starting dns server"
        fi
fi

