#/bin/bash!

ifacenum=$1
shudowntype=$2

#debug print
#echo debug: $ifacenum $shudowntype

if [ "${ifacenum}" == "0/1" ]
then
ifacenbr="4"
elif [ "${ifacenum}" == "0/2" ]
then
ifacenbr="5"
elif [ "${ifacenum}" == "0/3" ]
then
ifacenbr="6"
elif [ "${ifacenum}" == "0/4" ]
then
ifacenbr="7"
elif [ "${ifacenum}" == "1/1" ]
then
ifacenbr="0"
elif [ "${ifacenum}" == "1/2" ]
then
ifacenbr="1"
else
echo Error: Currently not allowed to configure selected interface - $ifacenum 
exit
fi

if [ "${shudowntype}" == "shutdown" ]
then
shdwn="0"
status="disable"
else
shdwn="1"
status="enable"
fi

#echo debug: calling bcm configurator with $ifacenbr ${shdwn}

# configure status in BCM
                        /opt/iskratel/sbin/BCMconfigurator -port_enable $ifacenbr ${shdwn}

# configure /rc.soc file
/sbin/cfg-port-enable.sh $ifacenbr ${status}

# TO DO - if port is part of mlinec configuration, then configure also /etc/itmlinec.conf file



