#!/bin/sh

FTP_HOST=$1
FTP_USER=$2
FTP_PASS=$3

FILE=/opt/si2000/archive/backup.ini


if [ -f $FILE ]
then
	if [ "$1" == "enable" ]
	then
		sed -i "s/ENABLED=.*$/ENABLED=yes/" ${FILE}
		exit 0
	fi
	
	if [ "$1" == "disable" ]
	then
		sed -i "s/ENABLED=.*$/ENABLED=no/" ${FILE}
		exit 0
	fi
	
sed -i "s/FTP_HOST=.*$/FTP_HOST=$FTP_HOST/" ${FILE}
sed -i "s/FTP_USER=.*$/FTP_USER=$FTP_USER/" ${FILE}
sed -i "s/FTP_PASS=.*$/FTP_PASS=$FTP_PASS/" ${FILE}

else
echo "Error: file $FILE does not exsist! "
fi
