#!/bin/bash

function kill_once()
{
if [ ! -e /tmp/clish.$pgrp ]; then 
   #create a kill_once lock file
   > /tmp/clish.$pgrp 
   # and kill whole program group (from admin's bash down to clish itself)
   kill -TERM -$pgrp
   exit
else
  #remove kill_once lock file 
  rm -f /tmp/clish.$pgrp 
fi 
}

read pid cmd state ppid pgrp session tty_nr tpgid rest < /proc/self/stat
trap kill_once EXIT TERM KILL SIGKILL

# run the program given on args
"$@"

# mand added - problems with clish locking when starting clish
if [ -f /tmp/clish.lock ]
then
	rm /tmp/clish.lock
fi

exit $?
